<template>
  <!-- 辅料出厂作业页面 -->
  <div class="homeworkPath">
   <div class="top"> 
      <span class="text">出厂时间：</span>
      <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <span class="text1">至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
       <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      
    </dilTable>
  </div>
</template>

<script>
import { sjTime } from "@/utils/sharedJsFile";
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
      startTime: null,
      endTime: null,
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getLeaveFactoryResult?apiId=147&orderType=8",
      },
    };
  },

  methods: {
    
    onclick() {
       let startTime = null;
      let endTime = null;
      if(this.startTime){
        startTime = sjTime(this.startTime);
      }
      if(this.endTime){
        endTime = sjTime(this.endTime);
      }
      if(startTime && endTime){
        if(startTime < endTime){
          this.option.requestUrl = "/api/v1/tms/getLeaveFactoryResult?apiId=147&orderType=8&startTime="+startTime+"&endTime="+endTime+"&i=" +new Date();
          }else{
          this.startTime = null;
          this.endTime = null;
          this.$message.warning('开始时间要比结束时间早')
        }
      }else{
        this.option.requestUrl = "/api/v1/tms/getLeaveFactoryResult?apiId=147&orderType=8&startTime="+startTime+"&endTime="+endTime+"&i=" +new Date();
        
      }  
    },
   }
};
</script>
<style lang='scss'>
.homeworkPath {
   .top {
    padding: 40px;
    .input{
      width: 250px;
      margin-right: 10px;
    }
  }
}
</style>